View Issue Details

IDProjectCategoryView StatusLast Update
0001373NoesisGUIUnity3Dpublic2019-04-15 20:33
ReporterarukariAssigned Tosfernandez 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.1.0f1 
Target Version2.2.2Fixed in Version2.2.2 
Summary0001373: OpacityMask Vertically and Rotate Inverted.
DescriptionReference:https://www.noesisengine.com/forums/viewtopic.php?f=3&t=1535&p=8799#p8783
Steps To ReproduceBottom / Left Can not Rendered.

Rotation Test:
OpacityMask (Test Background Red Color)
                            <Canvas ClipToBounds="True" x:Name="RadarClip" Background="Red">
                                <Canvas.OpacityMask>
                                    <ImageBrush ImageSource="radarmask.png">
                                        <ImageBrush.RelativeTransform>
                                            <RotateTransform CenterX="0.5" CenterY="0.5" />
                                        </ImageBrush.RelativeTransform>
                                    </ImageBrush>
                                </Canvas.OpacityMask>
                                <Canvas.Triggers>
                                    <EventTrigger RoutedEvent="FrameworkElement.Loaded">
                                        <BeginStoryboard>
                                            <Storyboard>
                                                <DoubleAnimationUsingKeyFrames Storyboard.TargetProperty="(Canvas.OpacityMask).(Brush.RelativeTransform).(RotateTransform.Angle)" RepeatBehavior="Forever">
                                                    <EasingDoubleKeyFrame KeyTime="0:0:0" Value="0"/>
                                                    <EasingDoubleKeyFrame KeyTime="0:0:10" Value="360"/>
                                                </DoubleAnimationUsingKeyFrames>
                                            </Storyboard>
                                        </BeginStoryboard>
                                    </EventTrigger>
                                </Canvas.Triggers>
                            </Canvas>
Compare Line Rotate:
                <Line x:Name="RadarEllipse" X1="150" Y1="150" X2="300" Y2="150" Stroke="Cyan" StrokeThickness="1" RenderTransformOrigin="0,0">
                    <Line.RenderTransform>
                        <RotateTransform Angle="0" CenterX="150" CenterY="150"/>
                    </Line.RenderTransform>
                    <Line.Triggers>
                        <EventTrigger RoutedEvent="FrameworkElement.Loaded">
                            <BeginStoryboard>
                                <Storyboard>
                                    <DoubleAnimationUsingKeyFrames Storyboard.TargetProperty="(Line.RenderTransform).(RotateTransform.Angle)" RepeatBehavior="Forever" >
                                        <EasingDoubleKeyFrame KeyTime="0:0:0" Value="0" />
                                        <EasingDoubleKeyFrame KeyTime="0:0:10" Value="360"/>
                                    </DoubleAnimationUsingKeyFrames>
                                </Storyboard>
                            </BeginStoryboard>
                        </EventTrigger>
                    </Line.Triggers>
                </Line>

TagsUnity
PlatformWindows

Relationships

related to 0001374 resolvedsfernandez NoesisGUIExtensions: PlaneProjection rotate OpacityMask 

Activities

arukari

arukari

2019-03-20 04:25

reporter   ~0005542

I'm waiting for fix.

Issue History

Date Modified Username Field Change
2018-12-10 13:11 arukari New Issue
2018-12-10 13:11 arukari Tag Attached: Unity
2018-12-10 13:16 arukari Steps to Reproduce Updated View Revisions
2018-12-12 11:03 sfernandez Relationship added related to 0001374
2018-12-12 11:03 sfernandez Assigned To => sfernandez
2018-12-12 11:03 sfernandez Status new => assigned
2019-03-20 04:21 jsantos Target Version => 2.2.1
2019-03-20 04:25 arukari Note Added: 0005542
2019-04-05 12:24 sfernandez Target Version 2.2.1 => 2.2.2
2019-04-15 20:33 sfernandez Status assigned => resolved
2019-04-15 20:33 sfernandez Resolution open => fixed
2019-04-15 20:33 sfernandez Fixed in Version => 2.2.2